%define _root_sbindir	/sbin

%define snapshot 20120328
Name:		btrfs-progs
Version:	0.19
Release:	1.%{snapshot}.2
Summary:	Userspace programs for btrfs

Group:		System/Kernel and hardware
License:	GPLv2
URL:		http://btrfs.wiki.kernel.org/
#Source0:	http://www.kernel.org/pub/linux/kernel/people/mason/btrfs/%{name}-%{version}.tar.bz2
# git clone git://git.kernel.org/pub/scm/linux/kernel/git/mason/btrfs-progs.git
# git archive --prefix=btrfs-progs-0.19/ --format tar  HEAD | xz > ../SOURCES/btrfs-progs-0.19-$(date +%Y%m%d).tar.xz
Source0:	%{name}-%{version}-%{snapshot}.tar.xz
Patch0:		btrfs-progs-fix-labels.patch
Patch1:		btrfs-progs-0.19-20120328-build-everything.patch
Patch3:		btrfs-progs-0.19-fix-return-value.patch
Patch4:		btrfs-progs-0.19-build-fixes.patch
Patch5:		btrfs-progs-0.19-20120328-ignore-standard-fsck-switch.patch
# do NOT enable
Patch6:		btrfs-progs-0.19-20120328-recover-chunk.patch
# from suse
Patch7:		btrfs-progs-0.19-plug-memory-leak-in-find_and_setup_log_root.patch
Patch8:		btrfs-progs-0.19-fix-memleak.patch
Patch9:		btrfs-progs-0.19-ignore-deleted-loopmounts.patch

BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	acl-devel

%description
The btrfs-progs package provides all the userpsace programs needed to create,
check, modify and correct any inconsistencies in the btrfs filesystem.

%prep
%setup -q
%patch0 -p1 -b .labels~
%patch3 -p1 -b .return_value~
#patch4 -p1 -b .build_fixes~
%patch1 -p1 -b .everything~
%patch5 -p1 -b .ignore_switch~
#patch6 -p1 -b .recover_chunk~
%patch7 -p1 -b .plug_memory_luck~
#patch8 -p1 -b .memleak~
%patch9 -p1 -b .ignore_del_loopmnts~

%build
%make CFLAGS="%{optflags} -Os -Wstrict-aliasing=3"

%install
%makeinstall bindir=%{buildroot}%{_root_sbindir}
ln -sv %{_root_sbindir}/btrfsck %{buildroot}%{_root_sbindir}/fsck.btrfs 

%files
%doc INSTALL
%{_root_sbindir}/btrfsctl
%{_root_sbindir}/btrfsck
%{_root_sbindir}/btrfstune
%{_root_sbindir}/fsck.btrfs
%{_root_sbindir}/mkfs.btrfs
%{_root_sbindir}/btrfs-calc-size
%{_root_sbindir}/btrfs-convert
%{_root_sbindir}/btrfs-corrupt-block
%{_root_sbindir}/btrfs-debug-tree
%{_root_sbindir}/btrfs-find-root
%{_root_sbindir}/btrfs-image
#%{_root_sbindir}/btrfs-recover-chunk
%{_root_sbindir}/btrfs-restore
%{_root_sbindir}/btrfs-select-super
%{_root_sbindir}/btrfs-show
%{_root_sbindir}/btrfs-vol
%{_root_sbindir}/btrfs-zero-log
%{_root_sbindir}/btrfs
%{_root_sbindir}/btrfs-map-logical
%{_mandir}/man8/btrfs-image.8*
%{_mandir}/man8/btrfs-show.8*
%{_mandir}/man8/btrfsck.8*
%{_mandir}/man8/btrfsctl.8*
%{_mandir}/man8/mkfs.btrfs.8*
%{_mandir}/man8/btrfs.8.*


%changelog
* Thu May 31 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.19-1.20120328.2
+ Revision: 801614
- fix ignore options patch

* Thu May 31 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.19-1.20120328.1
+ Revision: 801568
- use pkgconfig() deps for buildrequires
- new git snapshot
- disable btrfs-recover-chunk

* Thu Dec 01 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.19-1.20111201.2
+ Revision: 737052
- update to 6da41f2a740569440e88539779cb94f169b1f1b6
- update url

* Fri Sep 16 2011 Bogdano Arendartchuk <bogdano@mandriva.com> 0.19-1.20110805.2
+ Revision: 700064
- added fix for argument check in subvol snapshot
  (http://article.gmane.org/gmane.comp.file-systems.btrfs/12527)

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - fix failing on deleted loop mounts (bnc#697671, from opensuse)
    - apply another memleak fix from OpenSuSE (P8)
    - plug memory leak in find_and_setup_log_root (P7, from OpenSuSE)

* Fri Aug 12 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.19-1.20110805.1
+ Revision: 694248
- add btrfs-recover-chunk
- update to latest integration branch
- compile with -Os
- compile with -Wstrict-aliasing=3 to reduce warnings
- update to more recent git snapshot
- print information about ignored args only once

* Wed Jul 13 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.19-1.20101006.5
+ Revision: 689889
- 'INSTALL' document turned out to contain some slightly useful information after
  all, so we'll ship it again
- and also add -f...
- ignore '-y' switch as well
- remove junk of no use
- add handling of '-a' switch so that it can be ignored rather than giving error
- sync patches with fedora

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 0.19-1.20101006.3
+ Revision: 663340
- mass rebuild

* Wed Feb 23 2011 Tomas Kindl <supp@mandriva.org> 0.19-1.20101006.2
+ Revision: 639419
- fix for #61488

* Wed Dec 01 2010 Thomas Backlund <tmb@mandriva.org> 0.19-1.20101006.1mdv2011.0
+ Revision: 604264
- update to 2010-10-06 snapshot
- drop p0 (merged)

* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 0.19-1.20100412.1mdv2011.0
+ Revision: 603986
- fix build
- fix deps
- rebuild

* Mon Apr 12 2010 Pascal Terjan <pterjan@mandriva.org> 0.19-1.20100412.0mdv2010.1
+ Revision: 533682
- Update to git snapshot

* Tue Aug 04 2009 Frederik Himpe <fhimpe@mandriva.org> 0.19-1mdv2010.0
+ Revision: 409532
- Update to new version 0.19
- Use Mandriva %%optflags

* Tue Aug 04 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.18-3mdv2010.0
+ Revision: 409062
- updated buildrequires for libuuid
- rebuild with new libuuid

* Sat Jun 13 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.18-2mdv2010.0
+ Revision: 385760
- Added missing BuildRequires for btrfs-convert.
- Added btrfs-convert (#51617)

* Fri May 01 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.18-1mdv2010.0
+ Revision: 369208
- Added BuildRequires on zlib1-devel.
- import btrfs-progs


* Thu Apr 30 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.18-1
- Initial version.
